/* --------------------------
Reset
--------------------------- */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: "Helvetica", "Arial", sans-serif;
  background: linear-gradient(180deg, #9bcf53 0%, #fff176 100%);
  color: #3a2e2e;
  line-height: 1.6;
}

/* ==========================
Header
========================== */
.header {

  background: #ff69b4;
  position: fixed;
  width: 100%;
  top: 0;

  z-index: 1000;
}

.header-inner {
  max-width: 1440px;
  margin: 0 auto;
  padding: 15px 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.header-nav {
  display: none;
}

.logo {
  font-weight: bold;
  font-size: 24px;
}

.logo img {
  height: 100px;
}

.header-inner {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

/* nav */
.nav ul {
  display: flex;
  gap: 20px;
}

.nav a {
  text-decoration: none;
  color: #4a2f20;
  font-weight: bold;
}


/* ハンバーガー */
.hamburger {
  width: 30px;
  height: 22px;
  position: relative;
  display: none;
  cursor: pointer;
}

.hamburger span {
  position: absolute;
  width: 100%;
  height: 4px;

  background: #4a2f20;
  left: 0;
  transition: 0.3s;
}

.hamburger span:nth-child(1) {
  top: 0;
}

.hamburger span:nth-child(2) {
  top: 9px;
}

.hamburger span:nth-child(3) {
  top: 18px;
}

.hamburger.open span:nth-child(1) {
  transform: rotate(45deg);
  top: 9px;
}

.hamburger.open span:nth-child(2) {
  opacity: 0;
}

.hamburger.open span:nth-child(3) {
  transform: rotate(-45deg);
  top: 9px;
}

/* ==========================
FV見直す
========================== */
.fv {
  width: 100%;
  height: 90vh;
  background: url("img/fv.jpg") center/cover no-repeat;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 90px;
}

.fv-title {
  font-size: 48px;
  text-align: center;
}

/* ==========================
 FV Slider
========================== */

.fv-slider {
  position: relative;
  width: 100%;
  height: 80vh;
  /* 高さ調整可 */
  overflow: hidden;
}

/* スライダーを横に長くする */
.slider-track {
  display: flex;
  width: calc(100% * 6);
  /* 画像6枚分 */
  animation: slide-loop 60s linear infinite;
}

.slider-track img {
  width: 100%;
  object-fit: cover;
  height: 80vh;
}

/* 無限ループアニメーション */
@keyframes slide-loop {
  to {
    transform: translateX(calc(-100% * 3));

  }
}

/* テキスト（FVキャッチ） */
.fv-copy {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  color: #fff;
  text-shadow: 0 3px 8px rgba(0, 0, 0, .35);
}

.fv-copy h2 {
  font-size: 52px;
  font-weight: bold;
  margin-bottom: 10px;
}

.fv-copy p {
  font-size: 20px;
}

/* ===== SP対応 ===== */
@media screen and (max-width: 767px) {

  .fv-slider {
    height: 60vh;
  }

  .slider-track img {
    height: 60vh;
  }

  .fv-copy h2 {
    font-size: 32px;
  }

  .fv-copy p {
    font-size: 16px;
  }
}

/* ==========================
SECTION共通
========================== */
.section-title {
  font-size: 32px;
  margin-bottom: 40px;
  text-align: center;
  padding-top: 60px;
}

/* ==========================
LINEUP
========================== */
.lineup-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 40px;
  width: 80%;
  margin: 0 auto 80px;
}

.item {
  position: relative;
  text-align: center;
}

.item img {
  width: 100%;
  border-radius: 12px;
}

/* マウスオーバー表示 */
.item-info {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  padding: 20px;
  background: rgba(255, 255, 255, 0.95);
  opacity: 0;
  transition: 0.4s;
}

.item:hover .item-info {
  opacity: 1;
}

/* ==========================
ABOUT
========================== */
.about-wrap {
  display: flex;
  align-items: center;
  gap: 40px;
}

.about-wrap img {
  width: 40%;
  height: auto;
}

.about-text {
  width: 60%;
}



.about-text ul {
  list-style: disc;
  padding-left: 20px;
  font-size: 18px;
  line-height: 1.8;
  color: #4a2f20;
}





/* ==========================
HOW TO DRINK
========================== */
.howto-wrap {
  display: flex;
  align-items: center;
  gap: 40px;
  margin: 40px 0;
}

.howto-item img {
  width: 40%;
  height: auto;
}

.howto-text {
  width: 50%;
}


/*  
.howto-text ul {
  list-style: disc;
  padding-left: 20px;
  font-size: 18px;
  line-height: 1.8;
  color: #4a2f20;
}*/
/* スマホ */
@media (max-width: 767px) {
  howto-wrap {
    flex-direction: column;
    gap: 20px;
  }

  .howto-text ul {
    font-size: 16px;
  }

  .howto-img img {
    max-width: 100%;
  }
}

/* ==========================
CONTACT
========================== */
.contact {
  text-align: center;
}

#contactBtn {
  display: inline-block;
  margin: 20px auto;
  padding: 12px 24px;
  background: #4a2f20;
  color: #fff;
  border: none;
  border-radius: 30px;

  margin-bottom: 20px;

  cursor: pointer;

}

.contact-form input,
.contact-form textarea,
.contact-form button {
  width: 100%;
  max-width: 400px;
  display: block;
  margin-bottom: 12px;
  margin: 0 auto;

  padding: 10px;

}


/* ==========================
FOOTER
========================== */
.footer {
  padding: 30px;
  text-align: center;
  font-size: 14px;
  background: #ba55d3;
}

/* ==========================
レスポンシブ
========================== */
@media screen and (max-width: 767px) {

  .nav ul {
    display: block;
    padding: 40px;
    text-align: center;
  }

  .nav {
    position: fixed;
    top: 0;
    right: -100%;
    width: 70%;
    height: 100vh;
    background: #fff8f0;
    transition: 0.4s;
    padding-top: 100px;
  }

  .nav.active {
    right: 0;
  }

  /* ハンバーガー表示 */
  .hamburger {
    display: block;
  }

  .lineup-grid {
    grid-template-columns: 1fr;
  }
}